#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	
	ofBackground(0,0,0);
	
	ofSetCircleResolution(100);
	
	mySound.loadSound("morph02_excerpt.wav");
	mySound.setLoop(true);
	mySound.play();
	ofSetFrameRate(30);

}

//--------------------------------------------------------------
void testApp::update(){
	
	
	

}

//--------------------------------------------------------------
void testApp::draw(){
	
	float cosTime = cos (ofGetElapsedTimef() *2 );
	float cosTimeMapped	= ofMap( cos(cosTime), -1, 1,-1.43 ,1.43);
	
	
	float xorig = ofGetWidth()/2;
	float yorig = ofGetHeight()/2;
	
	for (int i = 0; i < 30; i++){
	
		float radius = 50 + i * 15;
		float angle = ofGetElapsedTimef() * (1 + i / 10.0); //10 percent of i + 1 
		float x = xorig + radius * cos( cosTimeMapped);
		float y = yorig + radius * -sin(angle);
		
		ofSetRectMode(OF_RECTMODE_CENTER);
		ofSetColor(ofRandom(100, 255),ofRandom(50, 100),ofRandom(50, 100));
		ofRect(x,y,10,10);
	
	}	
		
	kaleidoscope();
	

}

//--------------------------------------------------------------
void testApp::kaleidoscope(){
	
	float cosTime = cos (ofGetElapsedTimef() *2 );
	float cosTimeMapped	= ofMap( cos(cosTime), -1, 1,-1.43 ,1.43); //86BPM = 1.43 BPS
	
	
	float xorig = ofGetWidth()/2;
	float yorig = ofGetHeight()/2;
	
	for (int i = 0; i < 30; i++){
	
		float radius = 50 + i * 15;
		float angle = ofGetElapsedTimef() * (1 + i / 10.0); //10 percent of i + 1 
		float x = xorig + radius * -cos( cosTimeMapped);
		float y = yorig + radius * sin(angle);
		
		ofSetRectMode(OF_RECTMODE_CENTER);
		ofSetColor(ofRandom(100, 255),ofRandom(50, 100),ofRandom(50, 100));
		ofRect(x, y, 10, 10);
	
	}	
		
	
	

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

